summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorXin Li <delphij@google.com>2018-08-06 16:50:08 -0700
committerXin Li <delphij@google.com>2018-08-06 16:50:08 -0700
commit3280f2c9dbf23409554372508521ee914adafacb (patch)
treeb085a0142bba7a10bc53ae687e041e54ddb78d80
parent90cb78a769f20a8fba99e8a67d394038cdf35cbf (diff)
parentd2989a2f79563deccecc14e94271c9661b4667cc (diff)
downloadcommon-3280f2c9dbf23409554372508521ee914adafacb.tar.gz
Merge Android Pie into master
Bug: 112104996 Change-Id: I928f076bf46ebdbf00892fe6ba86171b1c9cb63d
-rw-r--r--generate-factory-images-common.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/generate-factory-images-common.sh b/generate-factory-images-common.sh
index dc1bfcd..a2d81ca 100644
--- a/generate-factory-images-common.sh
+++ b/generate-factory-images-common.sh
@@ -101,6 +101,10 @@ cat > tmp/$PRODUCT-$VERSION/flash-all.sh << EOF
# See the License for the specific language governing permissions and
# limitations under the License.
+if ! grep -q dtbo.sig \$(which fastboot); then
+ echo "fastboot too old"
+ exit 1
+fi
EOF
if test "$UNLOCKBOOTLOADER" = "true"
then
@@ -254,6 +258,10 @@ cat > tmp/$PRODUCT-$VERSION/flash-base.sh << EOF
# See the License for the specific language governing permissions and
# limitations under the License.
+if ! grep -q dtbo.sig \$(which fastboot); then
+ echo "fastboot too old"
+ exit 1
+fi
EOF
if test "$XLOADER" != ""
then